Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.odftoolkit.odfdom.dom
Class Version

    java.lang.Object
      org.odftoolkit.odfdom.dom.Version

    public class Version

extends Object

Method Summary
`static String` | `getApplicationName()` Return the name of this application
`static String` | `getApplicationTitle()` Returns the application title
`static String` | `getApplicationVersion()` Return the version of this application
`static String` | `getApplicationWebsite()` Return the website of this application
`static String` | `getBuildDate()` Return the date when the application had been build
`static String` | `getBuildResponsible()` Return the name of the one building this application
`static String` | `getSupportedOdfVersion()` Returns the version of the OpenDocument specification covered by this application
`static void` | `main(String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### main

    public static void main(String[] args)
                     throws IOException

  Throws:
    `IOException`

### getApplicationName

    public static String getApplicationName()

  Return the name of this application

  Returns:
    the application name

### getApplicationTitle

    public static String getApplicationTitle()

  Returns the application title

  Returns:
    A string containing both the application name and the application version

### getApplicationVersion

    public static String getApplicationVersion()

  Return the version of this application

  Returns:
    the application version

### getApplicationWebsite

    public static String getApplicationWebsite()

  Return the website of this application

  Returns:
    the application website

### getBuildResponsible

    public static String getBuildResponsible()

  Return the name of the one building this application

  Returns:
    the name of the application builder

### getBuildDate

    public static String getBuildDate()

  Return the date when the application had been build

  Returns:
    the date of the build

### getSupportedOdfVersion

    public static String getSupportedOdfVersion()

  Returns the version of the OpenDocument specification covered by this application

  Returns:
    the supported ODF version number

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.